Package org.multiverse.api.exceptions

## Class AbortOnlyException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.multiverse.api.exceptions.TxnExecutionException
        - - org.multiverse.api.exceptions.IllegalTxnStateException
          - - org.multiverse.api.exceptions.AbortOnlyException

- All Implemented Interfaces:
    `Serializable`

      public class AbortOnlyException
      extends IllegalTxnStateException

  An `IllegalTxnStateException` thrown when a `Txn` is configured as abort only and a prepare/commit is executed.
  See Also:
    `Txn.setAbortOnly()`, `Txn.isAbortOnly()`, Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AbortOnlyException​(String message)` | Creates a new AbortOnlyException with the provided message.
    `AbortOnlyException​(String message, Throwable cause)` | Creates a new AbortOnlyException with the provided message and cause.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### AbortOnlyException

          public AbortOnlyException​(String message)

      Creates a new AbortOnlyException with the provided message.
      Parameters:
        `message` - the message.

    - #### AbortOnlyException

          public AbortOnlyException​(String message,
                                    Throwable cause)

      Creates a new AbortOnlyException with the provided message and cause.
      Parameters:
        `message` - the message
        `cause` - the cause.